# spiralgradient.cpp File Reference

Implementation of the "Spiral Gradient" layer. More...

`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include "spiralgradient.h"`

## Functions

| SYNFIG_LAYER_INIT (SpiralGradient)
| SYNFIG_LAYER_SET_NAME (SpiralGradient,"spiral_gradient")
| SYNFIG_LAYER_SET_LOCAL_NAME (SpiralGradient, N_("Spiral Gradient"))
| SYNFIG_LAYER_SET_CATEGORY (SpiralGradient, N_("Gradients"))
| SYNFIG_LAYER_SET_VERSION (SpiralGradient,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (SpiralGradient,"$Id$")

## Detailed Description

Implementation of the "Spiral Gradient" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | SpiralGradient |  | ) |

SYNFIG_LAYER_SET_NAME | ( | SpiralGradient | ,
|  | "spiral_gradient" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | SpiralGradient | ,
|  | N_("Spiral Gradient") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | SpiralGradient | ,
|  | N_("Gradients") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | SpiralGradient | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | SpiralGradient | ,
|  | "$Id$" |  |
| ) |  |  |